Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.net
Class HttpHeader

    java.lang.Object
      com.sshtools.j2ssh.net.HttpHeader

Direct Known Subclasses:
  HttpRequest, HttpResponse

public abstract class HttpHeader
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected java.lang.String` | `begin` DOCUMENT ME!
`protected static java.lang.String` | `white_SPACE` DOCUMENT ME!

Constructor Summary
`protected` | `HttpHeader()` Creates a new HttpHeader object.

Method Summary
`java.lang.String` | `getHeaderField(java.lang.String headerName)` DOCUMENT ME!
`java.util.Set` | `getHeaderFieldNames()` DOCUMENT ME!
`java.util.Map` | `getHeaderFields()` DOCUMENT ME!
`java.lang.String` | `getStartLine()` DOCUMENT ME!
`protected void` | `processHeaderFields(java.io.InputStream in)` DOCUMENT ME!
`protected java.lang.String` | `readLine(java.io.InputStream in)` DOCUMENT ME!
`void` | `setHeaderField(java.lang.String headerName, java.lang.String value)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### white_SPACE

    protected static final java.lang.String white_SPACE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### begin

    protected java.lang.String begin

  DOCUMENT ME!

Constructor Detail

### HttpHeader

    protected HttpHeader()

  Creates a new HttpHeader object.

Method Detail

### readLine

    protected java.lang.String readLine(java.io.InputStream in)
                                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getStartLine

    public java.lang.String getStartLine()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHeaderFields

    public java.util.Map getHeaderFields()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHeaderFieldNames

    public java.util.Set getHeaderFieldNames()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String headerName)

  DOCUMENT ME!

  Parameters:
    `headerName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### setHeaderField

    public void setHeaderField(java.lang.String headerName,
                               java.lang.String value)

  DOCUMENT ME!

  Parameters:
    `headerName` - DOCUMENT ME!
    `value` - DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### processHeaderFields

    protected void processHeaderFields(java.io.InputStream in)
                                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD